2017-11-20 05:20 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000656v2.4 Release (Closed)[All Projects] Generalpublic2011-08-16 23:49
Reportereureka 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.4 
Summary0000656: holiday module installation
DescriptionHello Casey,

The installation of this module requires the modification of the “class w2p_Utilities_Date”.
To avoid that, do you accept to paste the following in the beginning of the "isWorkingDay" method (after line 151):

if ($AppUI->isActiveModule('holiday')) {
    // Holiday module, check the holiday database
    require_once W2P_BASE_DIR."/modules/holiday/holiday_functions.class.php";
    if(HolidayFunctions::isHoliday($this)) {
    return false;
    }
}

Thank you in advance
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002044

caseydk (administrator)

Resolved in r1996 via pull request;
+Notes

-Issue History
Date Modified Username Field Change
2010-12-19 03:31 eureka New Issue
2011-04-18 08:34 caseydk Status new => assigned
2011-04-18 08:34 caseydk Assigned To => caseydk
2011-04-18 08:35 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-07-17 23:18 caseydk Note Added: 0002044
2011-07-17 23:18 caseydk Status assigned => resolved
2011-07-17 23:18 caseydk Resolution open => fixed
2011-08-16 23:49 caseydk Status resolved => closed
2011-08-16 23:49 caseydk Fixed in Version => 2.4
+Issue History